let options = {
    keys: [],
    change_reqest: 5,
    num_user_in_chat: 1000,
    search_mode: 'search_mode_off',
    diapason_akk: [],
};

$('#search_chat_start').on('click', async function () {
    //{"chats":["@dfgggh",http....","t.me..."],"online":[0,48],"type":["admin","bots","alluser"]}
    //Получение данных из textarea
    options.keys = [];
    let lines = $('#get_key_word').val().split(/\n/);
    //let texts = [];
    for (var i = 0; i < lines.length; i++) {
        if (/\S/.test(lines[i])) {
            options.keys.push($.trim(lines[i]));
        }
    }

    if ($('#search_mode_ru').is(':checked')) {
        options.search_mode = 'search_mode_ru';
    } 
    if ($('#search_mode_en').is(':checked')) {
        options.search_mode = 'search_mode_en';
    }
    if ($('#search_mode_off').is(':checked')) {
        options.search_mode = 'search_mode_off';
    } 

    let change_reqest = Number($('#change_reqest').val());
    if (change_reqest !== 0) {
        options.change_reqest = change_reqest;
    }

    let num_user_in_chat = Number($('#num_user_in_chat').val());
    if (num_user_in_chat !== 0) {
        options.num_user_in_chat = num_user_in_chat;
    }

    clear_log = 0
    let json = JSON.stringify(options);
    //Получили json обьект
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить");
        $("#username_num").addClass('d-none');
        $("#username_num").text('0');
        $('#log li').remove();
        save_login_chat_history();
        console.log(json)
        await eel.search_channel(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Запустить");
        eel.stopped('parser') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('parser')
});

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#search_chat_start').removeClass('btn-danger');
    $('#search_chat_start').addClass('btn-success');
    $('#search_chat_start').text("Запустить");
}


let clear_log = 0
eel.expose(log);
function log(log_line) {
  if (clear_log == 250){
    $('#log li:first').remove();
  } else {clear_log = clear_log + 1}
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}

eel.expose(set_number_front);
function set_number_front(number) {
    $("#username_num").removeClass('d-none');
    $("#username_num").text(number);// Вывод количества собраных username
}

$('#search_save_username').on('click', function () {
    var link = document.createElement('a');
    link.setAttribute('href', '/uploads/logins_channel.txt');
    link.setAttribute('download', 'logins_channel.txt');
    link.click();
    return false;
});

function save_login_chat_history(){
    let lines = $('#get_key_word').val()
    localStorage.setItem('get_key_word_channel', lines);
}
  
$('#get_login_chat_history').on('click', function(){
    let username_list = localStorage.getItem('get_key_word_channel');
    $('#get_key_word').val(username_list)
});

$('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
});

$('#select_accounts_apply').on('click', async function () {
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
        let type_bg = $('#table_users tr').eq(i).attr("class");
        if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
        }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
});

// eel.expose(error);
function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 2100
    })
}